import { _objectSpread2 } from "../../../_virtual/_@oxc-project_runtime@0.122.0/helpers/objectSpread2.js";
import { miniRedux } from "@pisell/utils";
const { Provider, Context } = miniRedux({
	namespace: "state",
	state: {},
	reducers: {
		setState(state, payload) {
			return _objectSpread2(_objectSpread2({}, state), payload);
		},
		setAddons(state, payload) {
			state.setGlobalState({ addons: _objectSpread2(_objectSpread2({}, state.addons), payload) });
		},
		setService(state, payload) {
			state.setGlobalState({ service: _objectSpread2(_objectSpread2({}, state.service), payload) });
		}
	}
});
//#endregion
export { Context, Provider };
